# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
# written by dongeon, additions by feivelda

inherit eutils toolchain-funcs kde

DESCRIPTION="KDE file sharing client using the anonymous file sharing network MUTE"

HOMEPAGE="http://kommute.sourceforge.net/"

MUTE_VER="0.5"
MUTE_NAME="MUTE_fileSharing-${MUTE_VER}_UnixSource"

SRC_URI="http://dl.sourceforge.net/sourceforge/${PN}/${P}.tar.gz
        http://dl.sourceforge.net/sourceforge/mute-net/${MUTE_NAME}.tar.gz"
LICENSE="GPL-2"

SLOT="0"

KEYWORDS="~x86 ~ppc"

IUSE=""

DEPEND=""

need-kde 3.2

S=${WORKDIR}/${MUTE_NAME}

src_unpack()
{
        unpack ${A} || die "unpack failed"
        mv -f ${PN} ${MUTE_NAME} || die
	cd ${S}
	epatch ${FILESDIR}/gcc4.patch || die
	epatch ${FILESDIR}/gcc4_configure.patch || die
}

src_compile() {
        if useq ppc ; then
                echo 2 > cmd
                einfo "Compiling for ppc"
        elif useq x86 ; then
                echo 1 > cmd
                einfo "Compiling for x86"
        else
                die "Can't determine the archiquecture x86 or ppc"
        fi

        echo -e \\n2\\n >> cmd
        ./runToBuild < cmd || die "Build failed"
        cd ${S}/${PN}

        export KDE_DIR="$(kde-config --prefix)"
        if use arts; then
                export PREFIX="--prefix ${KDE_DIR}"
        else
                export PREFIX="--prefix ${KDE_DIR} --without-arts"
        fi

	make -f Makefile.cvs || die
        econf ${PREFIX} || die "econf failed"

        emake || die "emake failed"
}

src_install() {
        cd ${S}/${PN}
        make install DESTDIR=${D} || die "make install fail"
        make_desktop_entry ${PN} || eerror "make_desktop_entry fail"
}

pkg_postinst() {
        einfo "Visit these webs for more info:"
        einfo "http://kommute.sourceforge.net"
        einfo "http://www.mymute.info"
        einfo "http://www.planetpeer.de/wiki/index.php"
}

